## gst-plugins-bad1.0 1.1.3

=== debian/changelog ===
gst-plugins-bad1.0 (1.1.3-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/libtool-force-link-lc: Add a new patch to workaround
      libtool refusing to add -lc multiple times to link in the presence of
      circular dependencies.
   * Allow building with newer OpenCV.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 31 Jul 2013 14:10:25 +0000

gst-plugins-bad1.0 (1.1.3-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/rules,
      debian/build-deps.in:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.3.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 30 Jul 2013 08:51:10 +0200

gst-plugins-bad1.0 (1.1.2-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/rules,
      debian/build-deps.in:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.2.
      - Build depend on orc >= 0.4.17.
      - Build depend on gnutls.
      - Build depend on rsvg >= 2.36.
    + debian/build-deps.in,
      debian/gstreamer-plugins-bad.install:
      - Add new bluez, fluidsynth, dash, smoothstreaming, opencv,
        openjpeg, sbc, srtp, accurip, audiofxbad, ivtc, midi,
        videofiltersbad, yadif, chromaprint plugins (Closes: #702341).
      - Add newly ported aiff, freeverbm, kate, ladspa, mxf, rsvg
        wildmidi, decklink, fbdev, uvch264, ofa, rfbsrc, openal
        plugins (Closes: #712966).
    + debian/libgstreamer-plugins-bad.install:
      - Add new EGL, insertbin, mpegts and uridownloader libs.
      - Remove removed basevideo library.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 14 Jul 2013 12:44:45 +0200

gst-plugins-bad1.0 (1.0.8-1ubuntu2) saucy; urgency=low

  * debian/patches/libtool-force-link-lc: Add a new patch to workaround
    libtool refusing to add -lc multiple times to link in the presence of
    circular dependencies.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 15 Jul 2013 15:01:16 +0100

gst-plugins-bad1.0 (1.0.8-1ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing scapetempo rtpmux rtpvp8 camerabin2 basecamerabin
      jpegformat - plugins which have moved to -good.
  * Provide gstreamer-plugins-bad-1.0.pc with Requires on
    gstreamer-plugins-good-1.0 - the package we've moved the referenced
    library to. This maintains compatibility with upstream software and other
    distributions. (LP: #1170923)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 15 Jul 2013 12:00:00 +0100
