## gst-plugins-bad1.0 1.1.4

=== debian/changelog ===
gst-plugins-bad1.0 (1.1.4-2ubuntu6) saucy; urgency=low

  * adding-mirsink-and-android-media-over-hybris-support.patch:
    - Fixing platform-api related calls when not using texture_id (playbin use
      case)
  * debian/control: bumping libmedia-dev build-dep version due an extra
    function call to know when surface_texture is ready for rendering

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 30 Sep 2013 17:39:41 -0300

gst-plugins-bad1.0 (1.1.4-2ubuntu5) saucy; urgency=low

  * adding-mirsink-and-android-media-over-hybris-support.patch:
    - Refreshing patch to allow mirsink to create a session/surface to allow
      proper rendering with playbin (without giving a texture id)
      (LP: #1231727)
  * debian/control: adding libplatform-api1-dev as build-dep for i386 and
    armhf, as it's only relevant for the mirsink

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 27 Sep 2013 13:42:09 -0300

gst-plugins-bad1.0 (1.1.4-2ubuntu4) saucy; urgency=low

  * also drop missing deps from the dbg packages, keep -hybris for i386 and
    armhf in gstreamer1.0-plugins-bad-dbg

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 24 Sep 2013 12:28:51 +0200

gst-plugins-bad1.0 (1.1.4-2ubuntu3) saucy; urgency=low

  * drop gstreamer1.0-hybris from gstreamer1.0-plugins-bad dependencies

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 24 Sep 2013 11:32:53 +0200

gst-plugins-bad1.0 (1.1.4-2ubuntu2) saucy; urgency=low

  [ Ricardo Salveti de Araujo ]
  * debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
    - Adding mirsink and Android media over hybris support, for hardware
      accelerated decode using libstagefright and the hybris compat layer.
  * debian/control.in:
    - Making the hybris plugin as part of a separated package, and i386 and
      armhf only (can work with android compatible archs)

  [ Oliver Grawert ]
  * run update-maintainer to make sure bugs dont go to debian for this before
    it is merged there

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 17 Sep 2013 16:05:57 -0300

gst-plugins-bad1.0 (1.1.4-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
  * debian/patches/0001-modplug-Specify-directory-when-including-stdafx.h.patch:
    Specify the directory when including modplug's stdafx.h, as its pcfile
    stopped giving us this in Cflags.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 10 Sep 2013 09:12:49 +0000

gst-plugins-bad1.0 (1.1.4-2) experimental; urgency=low

  * debian/patches/02_soundtouch-int.patch:
    + Fix compilation on armel, where soundtouch is compiled as an integer
      version instead of floats as everywhere else.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Sep 2013 10:38:03 +0200

gst-plugins-bad1.0 (1.1.4-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/rules,
      debian/build-deps.in:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.4.
    + debian/build-deps.in,
      debian/gstreamer-plugins-bad.install:
      - Add webp plugin.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Aug 2013 13:06:41 +0200
