=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gst-plugins-bad1.0
 Section: libs
 Priority: extra
-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: autoconf (>= 2.62),
@@ -18,7 +19,7 @@
                libdc1394-22-dev (>= 2.0.0) [linux-any],
                libgudev-1.0-dev (>= 143) [linux-any],
                libusb-1.0-0-dev [linux-any],
-               libgstreamer1.0-dev (>= 1.1.3),
+               libgstreamer1.0-dev (>= 1.1.4),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base (>= 1.0.0),
                gstreamer1.0-plugins-base-doc,
@@ -44,12 +45,14 @@
                libgme-dev,
                libgnutls-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.1.3),
-               libgstreamer-plugins-good1.0-dev (>= 1.1.3),
+               libgstreamer-plugins-base1.0-dev (>= 1.1.4),
+               libgstreamer-plugins-good1.0-dev (>= 1.1.4),
                libgtk2.0-dev (>= 2.14.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
                libkate-dev (>= 0.1.7),
+               libmedia-dev (>= 0.1.0+git20130606+c5d897a-0ubuntu30) [i386 armhf],
+               libplatform-api1-dev [i386 armhf],
                libmimic-dev (>= 1.0),
                libmms-dev (>= 0.4),
                libmodplug-dev,
@@ -75,6 +78,7 @@
                libtool (>= 2.2.6),
                libvo-aacenc-dev,
                libvo-amrwbenc-dev,
+               libwebp-dev (>= 0.2.1),
                libwildmidi-dev (>= 0.2.3),
                libx11-dev,
                libxml2-dev (>= 2.4),
@@ -107,6 +111,30 @@
  real live maintainer, or some actual wide use.
  .
  This package contains the documentation for plugins from the "bad" set.
+
+Package: gstreamer1.0-hybris
+Architecture: i386 armhf
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Provides: ${gstreamer:Provides}
+XB-GStreamer-Version: ${gstreamer:Version}
+XB-GStreamer-Elements: ${gstreamer:Elements}
+XB-GStreamer-URI-Sources: ${gstreamer:URISources}
+XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
+XB-GStreamer-Encoders: ${gstreamer:Encoders}
+XB-GStreamer-Decoders: ${gstreamer:Decoders}
+Description: GStreamer plugins from hybris
+ GStreamer is a streaming media framework, based on graphs of filters
+ which operate on media data.  Applications using this library can do
+ anything from real-time sound processing to playing videos, and just
+ about anything else media-related.  Its plugin-based architecture means
+ that new data types or processing capabilities can be added simply by
+ installing new plug-ins.
+ .
+ This package contains the GStreamer plugin for hybris, which provides
+ a way to do hardware decode using both hybris and libstagefright from
+ Android.
  
 Package: gstreamer1.0-plugins-bad
 Architecture: any
@@ -144,7 +172,8 @@
 Multi-Arch: same
 Section: debug
 Priority: extra
-Depends: gstreamer1.0-plugins-bad (= ${binary:Version}),
+Depends: gstreamer1.0-hybris (= ${binary:Version}) [i386 armhf],
+         gstreamer1.0-plugins-bad (= ${binary:Version}),
          ${misc:Depends}
 Replaces: gstreamer1.0-plugins-base-dbg (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
 Conflicts: gstreamer1.0-plugins-base-dbg (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
