=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.1.3)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.1.4)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -67,7 +67,7 @@
 
 PLUGINS += plugins-bad $(EXTRA_PLUGINS)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-PLUGINS +=
+PLUGINS += hybris
 endif
 VERSIONIZE= \
 	plugins-bad-doc.install \
@@ -78,6 +78,13 @@
 # enable the real plugin on x86
 ifeq ($(DEB_HOST_ARCH_CPU), i386)
 real = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstreal.so
+endif
+
+# miralloc is just enabled for i386 and armhf (need android for the other archs)
+android_hybris_archs := i386 armhf
+ifeq ($(DEB_HOST_ARCH_CPU), $(findstring $(DEB_HOST_ARCH_CPU), $(android_hybris_archs)))
+miralloc = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstmiralloc-$(gst_abi).so.*
+mirallocdev = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libgstmiralloc-$(gst_abi).so
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -141,10 +148,17 @@
 			> debian/$(gst_pkgname)-$$f; \
 	done
 
-	sed 's/@GST_ABI@/$(gst_abi)/g' debian/libgstreamer-plugins-bad.install \
-			> debian/libgstreamer-plugins-bad$(gst_deb_abi).install
-	sed 's/@GST_ABI@/$(gst_abi)/g' debian/libgstreamer-plugins-bad-dev.install \
-			> debian/libgstreamer-plugins-bad$(gst_abi)-dev.install
+	sed \
+		-e 's,@miralloc@,$(miralloc),g' \
+		-e 's/@GST_ABI@/$(gst_abi)/g' \
+		debian/libgstreamer-plugins-bad.install \
+		> debian/libgstreamer-plugins-bad$(gst_deb_abi).install
+
+	sed \
+		-e 's,@mirallocdev@,$(mirallocdev),g' \
+		-e 's/@GST_ABI@/$(gst_abi)/g' \
+		debian/libgstreamer-plugins-bad-dev.install \
+		> debian/libgstreamer-plugins-bad$(gst_abi)-dev.install
 
 maint: debian/control
 
@@ -216,11 +230,3 @@
 
 gst_patch = $(shell echo $(gst_version) | cut -d '.' -f 3)
 gst_patch_next = $(shell expr $(gst_patch) + 1)
-gst_version_next = $(shell echo $(gst_version) | cut -d '.' -f-2).$(gst_patch_next)
-DEB_DH_MAKESHLIBS_ARGS_libgstreamer-plugins-bad$(gst_deb_abi) += -V "libgstreamer-plugins-bad$(gst_deb_abi) (>= $(gst_version)), libgstreamer-plugins-bad$(gst_deb_abi) (<< $(gst_version_next))"
-DEB_INSTALL_DOCS_ALL += debian/README.Debian NEWS
-
-# Disable inclusion of large upstream ChangeLog
-DEB_INSTALL_CHANGELOGS_ALL :=
-
-.PHONY: maint
