## gst-plugins-bad1.0 1.2.0

=== debian/changelog ===
gst-plugins-bad1.0 (1.2.0-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 02 Oct 2013 01:59:30 -0300

gst-plugins-bad1.0 (1.2.0-3) unstable; urgency=low

  * debian/rules,
    debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Only enable bluez plugin on Linux, it's not available elsewhere.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 27 Sep 2013 13:52:58 +0200

gst-plugins-bad1.0 (1.2.0-2) unstable; urgency=low

  * debian/patches/0001-bluez-Fix-compilation-on-big-endian-systems.patch:
    + Fix compilation on big endian systems.
  * debian/build-deps.in:
    + Tighten build dependency on libopenal-dev to >= 1:1.14 (Closes: #724669).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 26 Sep 2013 15:02:54 +0200

gst-plugins-bad1.0 (1.2.0-1ubuntu1) saucy; urgency=low

  [ Iain Lane ]
  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 01 Oct 2013 15:35:17 -0300

gst-plugins-bad1.0 (1.2.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules,
      debian/build-deps.in:
      - Build depend on GStreamer and gst-plugins-base >= 1.2.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Sep 2013 16:59:40 +0200

gst-plugins-bad1.0 (1.1.90-1) experimental; urgency=low

  * New upstream release candidate:
    + debian/rules,
      debian/build-deps.in:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.90.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Sep 2013 12:53:58 +0200

gst-plugins-bad1.0 (1.1.4-3) experimental; urgency=low

  * debian/patches/03_modplug-includes.patch:
    + Fix build with the new modplug version by including the
      modplug headers properly. Thanks to Iain Lane for the patch.
  * debian/patches/04_opencv-2.4.6.1.patch:
    + Fix build with OpenCV 2.4.6.1.
  * debian/gstreamer-plugins-bad.install:
    + Disable OpenCV plugin again for now until the libraries
      are --as-needed clean again.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 Sep 2013 11:12:25 +0200
