=== debian/control ===
--- 
+++ 
@@ -19,14 +19,14 @@
                libdc1394-22-dev (>= 2.0.0) [linux-any],
                libgudev-1.0-dev (>= 143) [linux-any],
                libusb-1.0-0-dev [linux-any],
-               libgstreamer1.0-dev (>= 1.1.4),
+               libbluetooth-dev (<< 5) [linux-any],
+               libgstreamer1.0-dev (>= 1.2.0),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base (>= 1.0.0),
                gstreamer1.0-plugins-base-doc,
                gtk-doc-tools (>= 1.12),
                ladspa-sdk,
                libass-dev (>= 0.9.4),
-               libbluetooth-dev (<< 5),
                libbz2-dev,
                libcairo2-dev,
                libchromaprint-dev,
@@ -45,25 +45,25 @@
                libgme-dev,
                libgnutls-dev (>= 2.11.3),
                libgsm1-dev,
-               libgstreamer-plugins-base1.0-dev (>= 1.1.4),
-               libgstreamer-plugins-good1.0-dev (>= 1.1.4),
+               libgstreamer-plugins-base1.0-dev (>= 1.2.0),
+               libgstreamer-plugins-good1.0-dev (>= 1.2.0),
                libgtk2.0-dev (>= 2.14.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
                libkate-dev (>= 0.1.7),
                libmedia-dev (>= 0.1.0+git20130606+c5d897a-0ubuntu30) [i386 armhf],
-               libplatform-api1-dev [i386 armhf],
                libmimic-dev (>= 1.0),
                libmms-dev (>= 0.4),
                libmodplug-dev,
                libmpcdec-dev,
                libmpg123-dev (>= 1.13),
                libofa0-dev (>= 0.9.3),
-               libopenal-dev,
+               libopenal-dev (>= 1:1.14),
                libopencv-dev (>= 2.0.0),
                libopenjpeg-dev,
                libopus-dev (>= 0.9.4),
                liborc-0.4-dev (>= 1:0.4.17),
+               libplatform-api1-dev [i386 armhf],
                libpng-dev,
                librsvg2-dev (>= 2.36),
                librtmp-dev,
