=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 1.1.4)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 1.2.0)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -57,6 +57,7 @@
 gst_extra_build_depends += , libdc1394-22-dev (>= 2.0.0) [linux-any]
 gst_extra_build_depends += , libgudev-1.0-dev (>= 143) [linux-any]
 gst_extra_build_depends += , libusb-1.0-0-dev [linux-any]
+gst_extra_build_depends += , libbluetooth-dev (<< 5) [linux-any]
 
 # The plugins are basically the same.
 # Link special names to a template file.
@@ -96,6 +97,7 @@
 decklink = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdecklink.so
 linsys = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstlinsys.so
 uvch264 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstuvch264.so
+bluez = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstbluez.so
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
@@ -138,6 +140,7 @@
 			-e 's,@cdaudio@,$(cdaudio),g' \
 			-e 's,@resindvd@,$(resindvd),g' \
 			-e 's,@uvch264@,$(uvch264),g' \
+			-e 's,@bluez@,$(bluez),g' \
 			-e 's/@GST_ABI@/$(gst_abi)/g' \
 			debian/gstreamer-$$p.install \
 			> debian/$(gst_pkgname)-$$p.install; \
@@ -208,6 +211,7 @@
 	--with-package-name=$(GST_PACKAGE_NAME) \
 	--with-package-origin=$(GST_PACKAGE_ORIGIN) \
 	--disable-pvr \
+	--disable-opencv
 
 # only build the docs on arches which can
 ifeq (,$(findstring $(DEB_HOST_ARCH),m68k arm))
@@ -223,10 +227,3 @@
 	for i in $(PLUGINS); do \
 		rm -f debian/$(gst_pkgname)-$$i.install; \
 		rm -f debian/$(gst_pkgname)-$$i.preinst; \
-	done
-	for f in $(VERSIONIZE); do \
-		rm -f debian/$(gst_pkgname)-$$f; \
-	done
-
-gst_patch = $(shell echo $(gst_version) | cut -d '.' -f 3)
-gst_patch_next = $(shell expr $(gst_patch) + 1)
