## gst-plugins-bad1.0 1.2.1

=== debian/changelog ===
gst-plugins-bad1.0 (1.2.1-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Stop installing camerabin2 basecamerabin jpegformat - plugins which have
    moved to -good.
    + Provide gstreamer-plugins-bad-1.0.pc with Requires on
      gstreamer-plugins-good-1.0 - the package we've moved the referenced
      library to. This maintains compatibility with upstream software and
      other distributions.
    + debian/patches/adding-mirsink-and-android-media-over-hybris-support.patch:
      - Adding mirsink and Android media over hybris support, for hardware
        accelerated decode using libstagefright and the hybris compat layer.
    + debian/control.in:
      - Making the hybris plugin as part of a separated package, and i386 and
        armhf only (can only work with android compatible archs)
    + debian/build-deps.in:
      - Adding mirsink/android decoder specific build dependencies for i386 and
        armhf (libplatform-api1-dev and libmedia-dev)

 -- Iain Lane <iain.lane@canonical.com>  Fri, 15 Nov 2013 12:19:58 +0000

gst-plugins-bad1.0 (1.2.1-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Team upload.
  * Update Vcs-Browser field in debian/control{,.in}.
  * Turn versioned Conflicts into Breaks to simplify lockstep upgrades.

  [ Sebastian Dröge ]
  * New upstream bugfix release:
    + debian/patches/0001-bluez-Fix-compilation-on-big-endian-systems.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 09 Nov 2013 17:10:09 +0100

gst-plugins-bad1.0 (1.2.0-4) unstable; urgency=low

  * debian/rules,
    debian/build-deps.in,
    debian/gstreamer-plugins-bad.install:
    + Only enable sbc plugin on Linux, it's not available elsewhere.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Oct 2013 10:06:43 +0200

gst-plugins-bad1.0 (1.2.0-3ubuntu5) saucy; urgency=low

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    - Improving texture_id sync handling when using mirsink
    - Extending mirsink caps (was just supporting NV12)
    - Disabling google software codecs (needed until we have software
      rendering support in mirsink)
  * debian/build-deps.*:
    - Bumping dep version requirement for libmedia

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Oct 2013 17:14:27 -0300

gst-plugins-bad1.0 (1.2.0-3ubuntu4) saucy; urgency=low

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    - Increasing timeout before waiting for a valid texture id

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 14 Oct 2013 00:50:36 -0300

gst-plugins-bad1.0 (1.2.0-3ubuntu3) saucy; urgency=low

  * Refreshing adding-mirsink-and-android-media-over-hybris-support.patch:
    - Adding support for software rendering
    - Better input/out buffer handling
  * debian/build-deps.in:
    - Bumping dep version requirement for libmedia

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 13 Oct 2013 00:30:29 -0300

gst-plugins-bad1.0 (1.2.0-3ubuntu2) saucy; urgency=low

  * adding-mirsink-and-android-media-over-hybris-support.patch:
    - Improved the robustness of the decoding/rendering under heavy system
      IO load.
    - Porting fixes from the 1.2 based gstamcvideodec.c

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 02 Oct 2013 22:59:39 -0300
