=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
                libgudev-1.0-dev (>= 143) [linux-any],
                libusb-1.0-0-dev [linux-any],
                libbluetooth-dev (<< 5) [linux-any],
+               libsbc-dev (>= 1.1) [linux-any],
                libgstreamer1.0-dev (>= 1.2.0),
                gstreamer1.0-doc,
                gstreamer1.0-plugins-base (>= 1.0.0),
@@ -51,7 +52,7 @@
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
                libkate-dev (>= 0.1.7),
-               libmedia-dev (>= 0.1.0+git20130606+c5d897a-0ubuntu30) [i386 armhf],
+               libmedia-dev (>= 0.1.0+git20130606+c5d897a-0ubuntu35) [i386 armhf],
                libmimic-dev (>= 1.0),
                libmms-dev (>= 0.4),
                libmodplug-dev,
@@ -67,7 +68,6 @@
                libpng-dev,
                librsvg2-dev (>= 2.36),
                librtmp-dev,
-               libsbc-dev (>= 1.1),
                libschroedinger-dev (>= 1.0.7),
                libslv2-dev (>= 0.6.6),
                libsndfile1-dev (>= 1.0.16),
@@ -88,7 +88,7 @@
                pkg-config (>= 0.11.0)
 Standards-Version: 3.9.3
 Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-plugins-bad1.0.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-plugins-bad1.0.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-plugins-bad1.0.git;a=summary
 Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-bad.html
 
 Package: gstreamer1.0-plugins-bad-doc
@@ -147,7 +147,7 @@
 Provides: ${gstreamer:Provides}
 Suggests: frei0r-plugins
 Replaces: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
-Conflicts: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
+Breaks: gstreamer1.0-plugins-base (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -176,7 +176,7 @@
          gstreamer1.0-plugins-bad (= ${binary:Version}),
          ${misc:Depends}
 Replaces: gstreamer1.0-plugins-base-dbg (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
-Conflicts: gstreamer1.0-plugins-base-dbg (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
+Breaks: gstreamer1.0-plugins-base-dbg (<< 0.11.94), gstreamer1.0-plugins-good (<< 1.1.2)
 Description: GStreamer plugins from the "bad" set (debug symbols)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
