=== debian/rules ===
--- 
+++ 
@@ -58,6 +58,7 @@
 gst_extra_build_depends += , libgudev-1.0-dev (>= 143) [linux-any]
 gst_extra_build_depends += , libusb-1.0-0-dev [linux-any]
 gst_extra_build_depends += , libbluetooth-dev (<< 5) [linux-any]
+gst_extra_build_depends += , libsbc-dev (>= 1.1) [linux-any]
 
 # The plugins are basically the same.
 # Link special names to a template file.
@@ -98,6 +99,7 @@
 linsys = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstlinsys.so
 uvch264 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstuvch264.so
 bluez = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstbluez.so
+sbc = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstsbc.so
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
@@ -141,6 +143,7 @@
 			-e 's,@resindvd@,$(resindvd),g' \
 			-e 's,@uvch264@,$(uvch264),g' \
 			-e 's,@bluez@,$(bluez),g' \
+			-e 's,@sbc@,$(sbc),g' \
 			-e 's/@GST_ABI@/$(gst_abi)/g' \
 			debian/gstreamer-$$p.install \
 			> debian/$(gst_pkgname)-$$p.install; \
@@ -220,10 +223,3 @@
 
 common-binary-fixup-arch::
 	LD_LIBRARY_PATH=debian/libgstreamer-plugins-bad1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
-		dh_gstscancodecs
-
-clean::
-	# get rid of the sym links
-	for i in $(PLUGINS); do \
-		rm -f debian/$(gst_pkgname)-$$i.install; \
-		rm -f debian/$(gst_pkgname)-$$i.preinst; \
